/*------------------------------------*\
    #ADDRESS
\*------------------------------------*/
/**
 * Addresses component.
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.components';

.#{$inuit-namespace}addresses,
%#{$inuit-namespace}addresses {
    &--general {
        list-style: none;
        display: inline;

        li {
            list-style-type: none;
            line-height: 35px;
            padding-left: 30px;

            > .c-addresses__editlink,
            > svg {
                margin-left: -30px;
            }

            svg {
                width: 20px;
                height: 20px;
                margin-top: -5px;
                margin-right: 5px;
                vertical-align: middle;
            }
        }

    }

    &--listingcontainer {
        h3 {
            margin: 60px 0 0;
        }
    }

    &--listinggroup {
        list-style: none;
        display: inline-block;
        padding: 0;

        li {
            list-style-type: none;
            line-height: 25px;
            padding-left: 30px;

            svg {
                width: 20px;
                height: 20px;
                margin-top: -5px;
                margin-right: 5px;
                margin-left: -30px;
                vertical-align: middle;
            }
        }
    }

    &__img {
        max-width: 100%;
        height: auto;

        &--large {
            /**
            ** add fixed width and height to keep image map in aspect ratio
            **/
            width: 350px !important;
            height: 470px;
        }
    }

    &__table {
        float: left;
        text-align: left;
        width: 100%;
    }

    &__tableitem {
        line-height: 1.8;


        &--equal {
            padding-right: 2%;
            width: 50%;
        }
    }

    &__editlink {
        &:hover {
            text-decoration: none;
        }
    }

    &__map {
        margin-bottom: 30px;
        overflow: hidden;
        width: 100%;
        height: auto;

    }
}

img#map, map area {
    outline: none;
}